Bug 487738 - problems with whitespace in $EDITOR variable
problems with whitespace in $EDITOR variable
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Veillard
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-27 12:56 EST by mikael.lammentausta
Modified: 2010-05-25 21:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-25 21:19:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mikael.lammentausta 2009-02-27 12:56:30 EST
My EDITOR variable is set to "/usr/bin/env vim".

This does not work on virsh:
virsh # net-edit bridge
virhe: /usr/bin/env vim: $EDITOR environment variable contains shell meta or other unacceptable characters

Perhaps misquoted shell variable expansion somewhere?
Comment 1 Daniel Berrange 2010-03-15 11:31:50 EDT
Posted upstream here & will go into next release

http://www.redhat.com/archives/libvir-list/2010-March/msg00540.html
Comment 2 Cole Robinson 2010-05-25 21:19:46 EDT
Now upstream, closing.

Note You need to log in before you can comment on or make changes to this bug.